### Struct

# Template Symbol

#### Description

    struct TmplSymbol {
      /* No available fields */
    }

No description available.

#### Constructors

###### tmpl_symbol_new

No description available.

#### Instance methods

###### tmpl_symbol_assign_boolean

No description available.

###### tmpl_symbol_assign_double

No description available.

###### tmpl_symbol_assign_expr

Sets the symbol as a `TMPL_SYMBOL_EXPR` with the given ordered and named parameters.

###### tmpl_symbol_assign_object

Sets the value to the object `v_object`.

###### tmpl_symbol_assign_string

No description available.

###### tmpl_symbol_assign_strv

Sets the value to the strv `strv`.

###### tmpl_symbol_assign_value

No description available.

###### tmpl_symbol_assign_variant

Sets the value to the `GVariant` `v_variant`.

###### tmpl_symbol_get_boxed

No description available.

###### tmpl_symbol_get_expr

No description available.

###### tmpl_symbol_get_symbol_type

No description available.

###### tmpl_symbol_get_value

No description available.

###### tmpl_symbol_holds

No description available.

###### tmpl_symbol_ref

No description available.

###### tmpl_symbol_unref

No description available.